Package org.freeplane.api

# Interface HeadlessMapCreator

All Known Subinterfaces:
  `Controller`, `Proxy.Controller`

public interface HeadlessMapCreator
API for creating and accessing mind map without UI.

Since:
  1.7.1

## Method Summary

Modifier and Type
Method
Description
`AttributeValueSerializer`
`getAttributeValueSerializer()`
`HeadlessLoader`
`load(File file)`
Deprecated.
since 1.7.5 - use `mapLoader(File)`
`HeadlessLoader`
`load(String input)`
Deprecated.
since 1.7.5 - use `mapLoader(String)`
`HeadlessLoader`
`load(URL url)`
Deprecated.
since 1.7.5 - use `mapLoader(URL)`
`HeadlessLoader`
`mapLoader(File file)`
Returns `HeadlessLoader` for accessing or loading mind map from file.
`HeadlessLoader`
`mapLoader(InputStream inputStream)`
Returns `HeadlessLoader` for accessing or loading mind map from string input.
`HeadlessLoader`
`mapLoader(String input)`
Returns `HeadlessLoader` for accessing or loading mind map from string input.
`HeadlessLoader`
`mapLoader(URL url)`
Returns `HeadlessLoader` for accessing or loading mind map from URL.
`Script`
`script(File source)`
Create executable script from file.
`Script`
`script(String script, String type)`
Create executable script from given argument.

## Method Details

### mapLoader

HeadlessLoader mapLoader(File file)
Returns `HeadlessLoader` for accessing or loading mind map from file.

Since:
  1.7.5

### mapLoader

HeadlessLoader mapLoader(URL url)
Returns `HeadlessLoader` for accessing or loading mind map from URL.

Since:
  1.7.5

### mapLoader

HeadlessLoader mapLoader(String input)
Returns `HeadlessLoader` for accessing or loading mind map from string input.

Since:
  1.7.5

### mapLoader

HeadlessLoader mapLoader(InputStream inputStream)
Returns `HeadlessLoader` for accessing or loading mind map from string input.

Since:
  1.7.10

### load

@Deprecated HeadlessLoader load(File file)
Deprecated.
since 1.7.5 - use `mapLoader(File)`

### load

@Deprecated HeadlessLoader load(URL url)
Deprecated.
since 1.7.5 - use `mapLoader(URL)`

### load

@Deprecated HeadlessLoader load(String input)
Deprecated.
since 1.7.5 - use `mapLoader(String)`

### script

Script script(File source)
Create executable script from file.

Since:
  1.7.1

### script

Script script(String script, String type)
Create executable script from given argument. The script is executed with all permissions.

Since:
  1.7.2

### getAttributeValueSerializer

AttributeValueSerializer getAttributeValueSerializer()

Since:
  1.7.10